<div class="center">
  <label class="title-page">{{'adresseInfoTitle' | translate}}</label>
  <div class="banner"></div>
  <!-- <div class="form-control"> <label class="label">{{'adresseInfoTitle' | translate}}</label></div> -->
  <div class="form-control">
    <label class="sub-label">{{'residence' | translate}}</label>
  </div>
  <div class="form-control">
    <mat-form-field appearance="outline">
      <mat-select [(ngModel)]="address.countryOfResidence" (selectionChange)="onChangeCountry($event.value)"
        class="font-style">
        <mat-select-trigger *ngIf="country" class="flag-icon flag-icon-{{country.flag}} country">
          <mat-icon>whatever</mat-icon>
          <span class="font-style">{{address.countryOfResidence}}</span>
        </mat-select-trigger>
        <mat-option *ngFor="let country of countries" [value]="country.name" class="font-style">
          <mat-icon class="flag-icon flag-icon-{{country.flag}}">whatever</mat-icon>
          <span class="font-style"> {{country.name}}</span>
        </mat-option>
      </mat-select>
    </mat-form-field>
  </div>

  <div class="form-control">
    <label class="sub-label">{{'address' | translate}}
    </label>
  </div>
  <div class="form-control">
    <mat-form-field appearance="outline">
      <input matInput required [(ngModel)]='address.address' [value]='address.address'
        placeholder="1 rue de l'Église, 88000 Vaudéville">
    </mat-form-field>
    <div *ngIf="address.address == ''" class="error-message" fxLayout.xs="column">
      <div>
        {{'address_error' | translate}}
      </div>
    </div>
  </div>

  <div class="form-control">
    <label class="sub-label">{{'zip' | translate}}
    </label>
  </div>
  <div class="form-control">
    <mat-form-field appearance="outline">
      <input matInput required (keypress)="numberOnly($event)" [(ngModel)]='address.zip' [value]='address.zip'
        placeholder="88000">
    </mat-form-field>
 <!--   <div  class="error-message">
      <div>
        {{'zip_error' | translate}}
      </div>
    </div>
  </div>-->
  

  <div class="form-control">
    <label class="sub-label">{{'state' | translate}}
    </label>
  </div>
  <!-- <div class="form-control" >
      <mat-form-field appearance="outline" >
        <mat-select  [(ngModel)]="address.city" >
          <mat-option *ngFor="let item of cities" [value]="item">
            {{item}}
          </mat-option>
        </mat-select>
      </mat-form-field>
    </div> -->
  <div class="form-control">
    <mat-form-field appearance="outline">
      <input matInput required (keypress)="!numberOnly($event)" [(ngModel)]='address.city' [value]='address.city'
        placeholder="Vaudeville">
    </mat-form-field>
    <div *ngIf="address.city == ''" class="error-message">
      <div>
        {{'city_error' | translate}}
      </div>
    </div>
  </div>

  <div class="form-control" style="margin-top: 30px !important;">
    <button mat-button class="btn-continue cont-lay" (click)='continue()'>
      <span class="continuer">{{'continue' | translate}} </span>
    </button>

    <button class="btn-retour ret" fxLayout="row" (click)="prevStep()" fxLayoutAlign="space-evenly center">
      <span class="material-icons">
        arrow_back_ios
      </span><span class="retour">{{'back-btn' | translate}} </span></button>
  </div>
</div>